Foreman - Bug #14838

First change to smart proxy doesn't return to index page

04/26/2016 04:07 PM - Ivan Necas

Status: Rejected
Priority: Normal
Assignee: Ondrej Prazak
Category: Smart Proxy

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1329172 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/3495
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1329172

Description of problem:

| installed satellite with an external capsule that was registered to the server.
The capsule was not connected to any org/loc so | wanted to add them.

| clicked on the capsule to display it and then clicked on Edit.
After choosing an org, loc and lifecycle environment | hit save.

There was a message displayed that the capsule was updated successfully but | was still on the Edit page.

| hit cancel and then checked, the capsule was updated as expected but there was no way to know from the Ul response.

Version-Release number of selected component (if applicable):
Snap 8.2

How reproducible:
Tried twice on new registered capsule, happened both times.

Steps to Reproduce:

. Install new capsule and register it to the Satellite server
. Choose Any Organization/Any Location

. Go to Infrastructure -> Capsules

. Click on the capsule to display it

. Click Edit

. Update org/loc/lifecycle environment

. Click Save
Actual results:

There is a message about successful update but you stay on the same page.

Expected results:

The capsule is saved and you are redirected to the capsules index page.

Additional info:

The capsule was registered to satellite with only foreman-installer.

The capsule subscription-manager is not registered to the Satellite server.

History

#1 - 04/27/2016 03:27 AM - Dominic Cleal

- Subject changed from First change to capsule doesn't return to index page to First change to smart proxy doesn't return to index page

#2 - 05/05/2016 09:56 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ondrej PraZzak

- Pull request https://github.com/theforeman/foreman/pull/3495 added
https://bugzilla.redhat.com/show_bug.cgi?id=1329172

#3 - 05/13/2016 06:55 AM - Dominic Cleal
- Status changed from Ready For Testing to Rejected

PR closed, no reproducer.
